SdFat: partitionTable Struct Reference

SdFat

Public Attributes | List of all members
partitionTable Struct Reference

MBR partition table entry. More...

`#include <FatStructs.h>`

## Public Attributes
unsigned | beginCylinderHigh: 2
uint8_t | beginCylinderLow
uint8_t | beginHead
unsigned | beginSector: 6
uint8_t | boot
unsigned | endCylinderHigh: 2
uint8_t | endCylinderLow
uint8_t | endHead
unsigned | endSector: 6
uint32_t | firstSector
uint32_t | totalSectors
uint8_t | type

## Detailed Description

MBR partition table entry.

A partition table entry for a MBR formatted storage device. The MBR partition table has four entries.

## Member Data Documentation

## ◆ beginCylinderHigh

unsigned partitionTable::beginCylinderHigh

High bits cylinder for first block in partition.

## ◆ beginCylinderLow

uint8_t partitionTable::beginCylinderLow

Combine beginCylinderLow with beginCylinderHigh. Legal values are 0-1023. Only used in old PC BIOS.

## ◆ beginHead

uint8_t partitionTable::beginHead

Head part of Cylinder-head-sector address of the first block in the partition. Legal values are 0-255. Only used in old PC BIOS.

## ◆ beginSector

unsigned partitionTable::beginSector

Sector part of Cylinder-head-sector address of the first block in the partition. Legal values are 1-63. Only used in old PC BIOS.

## ◆ boot

uint8_t partitionTable::boot

Boot Indicator . Indicates whether the volume is the active partition. Legal values include: 0X00. Do not use for booting. 0X80 Active partition.

## ◆ endCylinderHigh

unsigned partitionTable::endCylinderHigh

High bits of end cylinder

## ◆ endCylinderLow

uint8_t partitionTable::endCylinderLow

Combine endCylinderLow with endCylinderHigh. Legal values are 0-1023. Only used in old PC BIOS.

## ◆ endHead

uint8_t partitionTable::endHead

head part of cylinder-head-sector address of the last sector in the partition. Legal values are 0-255. Only used in old PC BIOS.

## ◆ endSector

unsigned partitionTable::endSector

Sector part of cylinder-head-sector address of the last sector in the partition. Legal values are 1-63. Only used in old PC BIOS.

## ◆ firstSector

uint32_t partitionTable::firstSector

Logical block address of the first block in the partition.

## ◆ totalSectors

uint32_t partitionTable::totalSectors

Length of the partition, in blocks.

## ◆ type

uint8_t partitionTable::type

Partition type. See defines that begin with PART_TYPE_ for some Microsoft partition types.

The documentation for this struct was generated from the following file:

- Arduino/libraries/SdFat/src/FatLib/FatStructs.h